Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 641)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 642)
@@ -193,7 +193,7 @@
 					&& this.getEditorPart().getChartsEngine().getName().equals(chartsEngineNames.get(i))) {
 				currentChartTypeIndex = i;
 			}
-			chartTypes[i] = chartsEngineNames.get(i) + " / " + chartTypes[i];
+			chartTypes[i] = chartsEngineNames.get(i) + " / " + chartTypes[i]; //$NON-NLS-1$
 		}
 		chartTypeCombo.setItems(chartTypes);
 		
@@ -231,7 +231,7 @@
 					chartEditorPart.getResult().setRenderingColorsMode(renderingModeCombo.getSelectionIndex());
 				}
 				else if(e.getSource() == fontCombo || e.getSource() == fontSizeCombo)	{
-					chartEditorPart.getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0");
+					chartEditorPart.getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
 				else if(e.getSource() == chartTypeCombo)	{
 					
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionDensityChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionDensityChartCreator.java	(revision 641)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionDensityChartCreator.java	(revision 642)
@@ -1,197 +1,22 @@
 package org.txm.progression.core.chartsengine.r;
 
 import java.io.File;
-import java.util.ArrayList;
-import java.util.List;
 
-import org.apache.commons.lang.StringEscapeUtils;
-import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
-import org.txm.chartsengine.r.core.RChartCreator;
-import org.txm.chartsengine.r.core.themes.DefaultTheme;
-import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
-import org.txm.progression.core.chartsengine.base.Utils;
-import org.txm.progression.core.functions.Progression;
-import org.txm.progression.core.preferences.ProgressionPreferences;
-import org.txm.statsengine.r.core.RWorkspace;
-import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
-import org.txm.utils.logger.Log;
 
 /**
- * R progression chart creator.
- * @author mdecorde
+ * R progression density chart creator.
+ * 
  * @author sjacquot
  *
  */
-public class RProgressionDensityChartCreator extends RChartCreator implements ProgressionChartCreator {
+public class RProgressionDensityChartCreator extends RProgressionBaseChartCreator {
 
 
 	@Override
 	public File createChartFile(ChartResult result, File file) {
-
-		try {
-			
-			Progression progression = (Progression) result;
-			
-			// parameters
-			int renderingColorMode = progression.getRenderingColorsMode();
-			
-			//boolean cumulative = progression.getBooleanParameterValue(ProgressionPreferences.CHART_CUMULATIVE);
-			
-			RWorkspace rw = RWorkspace.getRWorkspaceInstance();
-			rw.eval("library(textometry)");
-			// System.out.println("create list of positions");
-			
-			
-			List<int[]> allPositions = progression.getAllPositions();
-			String listString = "list("; //$NON-NLS-1$
-			for(int i = 0; i < allPositions.size(); i++) {
-				int[] positions = allPositions.get(i);
-				// System.out.println("add vector "+i);
-				rw.eval("rm(x" + i + ")"); //$NON-NLS-1$ //$NON-NLS-2$
-				rw.addVectorToWorkspace("x" + i, positions); //$NON-NLS-1$
-				listString += "x" + i + ","; //$NON-NLS-1$ //$NON-NLS-2$
-			}
-			listString = listString.substring(0, listString.length() - 1) + ")"; //$NON-NLS-1$
-			// System.out.println("create positions");
-			rw.eval("rm(positions)"); //$NON-NLS-1$
-			rw.eval("positions <- " + listString); //$NON-NLS-1$
-
-			rw.eval("rm(structurepositions)"); //$NON-NLS-1$
-			rw.addVectorToWorkspace("structurepositions", progression.getStructurePositions()); //$NON-NLS-1$
-			rw.eval("rm(structurenames)"); //$NON-NLS-1$
-			// if (structurenames != null) structurenames = new
-			// String[structurepositions.length];
-			for(int i = 0; i < progression.getStructureNames().length; i++) { // Fix empty attribute values
-				if("".equals(progression.getStructureNames()[i]) || progression.getStructureNames()[i] == null) {  //$NON-NLS-1$
-					progression.getStructureNames()[i] = "--"; //$NON-NLS-1$
-				}
-			}
-			rw.addVectorToWorkspace("structurenames", progression.getStructureNames()); //$NON-NLS-1$
-			// System.out.println("create list positions");
-			// rw.getConnection().assign("positions",Rpositions);
-
-			this.getChartsEngine().setColors(renderingColorMode, progression.getQueries().size());
-			
-//			if(monochrome) {
-//				rw.addVectorToWorkspace("colors", DefaultTheme.monocolors); //$NON-NLS-1$
-//			}
-//			else {
-//				if(progression.getQueries().size() <= 5) {
-//					// System.out.println("uses colors5");
-//					
-//					
-//					rw.addVectorToWorkspace("colors", this.getChartsEngine().getTheme().getColorPaletteAsHexFor(5));
-//					
-//					
-//					//rw.addVectorToWorkspace("colors", DefaultTheme.colors5); //$NON-NLS-1$
-//				}
-//				else if(progression.getQueries().size() <= 10) {
-//					// System.out.println("uses colors10");
-//					rw.addVectorToWorkspace("colors", DefaultTheme.colors10); //$NON-NLS-1$
-//				}
-//				else {
-//					// System.out.println("uses colors16");
-//					rw.addVectorToWorkspace("colors", DefaultTheme.colors); //$NON-NLS-1$
-//				}
-//			}
-
-			// System.out.println("create styles vector");
-			rw.eval("rm(styles)"); //$NON-NLS-1$
-			if(!progression.isMultipleLineStrokes()) {
-				rw.addVectorToWorkspace("styles", DefaultTheme.monostyles); //$NON-NLS-1$
-			}
-			else {
-				rw.addVectorToWorkspace("styles", DefaultTheme.styles); //$NON-NLS-1$
-			}
-
-			// System.out.println("create styles vector");
-			rw.eval("rm(widths)"); //$NON-NLS-1$
-			rw.addVectorToWorkspace("widths", DefaultTheme.monoWidths); //$NON-NLS-1$
-
-			// System.out.println("create names vector");
-			String[] queriesstring = new String[progression.getQueries().size()];
-			for(int i = 0; i < progression.getQueries().size(); i++) {
-				queriesstring[i] = progression.getQueries().get(i).getQueryString();
-			}
-			rw.eval("rm(names)"); //$NON-NLS-1$
-			rw.addVectorToWorkspace("names", queriesstring); //$NON-NLS-1$
-
-			String name = progression.getCorpus().getName();
-
-			// Create chart title
-			String title = "";
-			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE))	{
-				title = Utils.createProgressionChartTitle(progression, false);
-			}
-
-			// Escape title string
-			title = StringEscapeUtils.escapeJava(title);
-
-			// System.out.println("BANDE="+bande);
-			
-			String cmd = "progression(positions, names, colors, styles, widths, \"" + name + "\"," + progression.getXminCorpus() + "," + progression.getXmaxCorpus() + ",\"" + false + "\",structurepositions,structurenames, \"" + title + "\", " + progression.getBande() + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$
-
-			// FIXME: the grid must be plotted behind the chart and it is not possible with the current R progression object code
-			// Grid
-			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_GRID))	{
-				cmd += this.getChartsEngine().getGridPlotCmd();
-			}
-			
-			this.getChartsEngine().plot(file, cmd);
-
-			RWorkspace.getRWorkspaceInstance().eval(Progression.prefixR + Progression.norep + " <- list(positions=positions, names=names, xmin=" + progression.getXminCorpus() + ",xmax=" + progression.getXmaxCorpus() + ", structpositions=structurepositions, structnames=structurenames)"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-			Progression.norep++;
-		}
-		catch(RWorkspaceException e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		}
-
-		return file;
+		return super.createChartFile(result, file, false);
 	}
 
 
-	@Override
-	public ArrayList<Integer> getSelectedPointPositions(Object chart) {
-		// FIXME: not implemented
-		Log.severe(this.getClass() + ".getProgressionChartSelectedPointPositions(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-
-	@Override
-	public ArrayList<Integer> getSelectedSeries(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartSelectedSeries(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-	@Override
-	public ArrayList<Integer> getSelectedPointNumbers(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartSelectedPointNumber(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-	@Override
-	public int getLastSelectedSeries(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartLastSelectedSeries(): Not yet implemented."); //$NON-NLS-1$
-		return -1;
-	}
-
-
-	@Override
-	public Class getResultDataClass() {
-		return Progression.class;
-	}
-
-	@Override
-	public ArrayList<ArrayList<Integer>> getAllPointPositionsBySeries(Object chart) {
-		Log.severe(this.getClass() + ".getAllPointPositionsBySeries(): Not yet implemented."); //$NON-NLS-1$
-		return null;
-	}
-
-
 }
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java	(revision 0)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java	(revision 642)
@@ -0,0 +1,205 @@
+/**
+ * 
+ */
+package org.txm.progression.core.chartsengine.r;
+
+import java.io.File;
+import java.util.ArrayList;
+import java.util.List;
+
+import org.apache.commons.lang.StringEscapeUtils;
+import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.chartsengine.r.core.RChartCreator;
+import org.txm.chartsengine.r.core.themes.DefaultTheme;
+import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
+import org.txm.progression.core.chartsengine.base.Utils;
+import org.txm.progression.core.functions.Progression;
+import org.txm.statsengine.r.core.RWorkspace;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
+import org.txm.utils.logger.Log;
+
+/**
+ * Base chart creator for R Progression charts.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class RProgressionBaseChartCreator extends RChartCreator implements ProgressionChartCreator {
+
+
+
+	/**
+	 * Creates a progression chart file.
+	 * @param result
+	 * @param file
+	 * @param cumulative
+	 * @return
+	 */
+	public File createChartFile(ChartResult result, File file, boolean cumulative) {
+
+		try {
+			
+			Progression progression = (Progression) result;
+			
+			// parameters
+			int renderingColorMode = progression.getRenderingColorsMode();
+			
+			RWorkspace rw = RWorkspace.getRWorkspaceInstance();
+			rw.eval("library(textometry)");
+			// System.out.println("create list of positions");
+			
+			
+			List<int[]> allPositions = progression.getAllPositions();
+			String listString = "list("; //$NON-NLS-1$
+			for(int i = 0; i < allPositions.size(); i++) {
+				int[] positions = allPositions.get(i);
+				// System.out.println("add vector "+i);
+				rw.eval("rm(x" + i + ")"); //$NON-NLS-1$ //$NON-NLS-2$
+				rw.addVectorToWorkspace("x" + i, positions); //$NON-NLS-1$
+				listString += "x" + i + ","; //$NON-NLS-1$ //$NON-NLS-2$
+			}
+			listString = listString.substring(0, listString.length() - 1) + ")"; //$NON-NLS-1$
+			// System.out.println("create positions");
+			rw.eval("rm(positions)"); //$NON-NLS-1$
+			rw.eval("positions <- " + listString); //$NON-NLS-1$
+
+			rw.eval("rm(structurepositions)"); //$NON-NLS-1$
+			rw.addVectorToWorkspace("structurepositions", progression.getStructurePositions()); //$NON-NLS-1$
+			rw.eval("rm(structurenames)"); //$NON-NLS-1$
+			// if (structurenames != null) structurenames = new
+			// String[structurepositions.length];
+			for(int i = 0; i < progression.getStructureNames().length; i++) { // Fix empty attribute values
+				if("".equals(progression.getStructureNames()[i]) || progression.getStructureNames()[i] == null) {  //$NON-NLS-1$
+					progression.getStructureNames()[i] = "--"; //$NON-NLS-1$
+				}
+			}
+			rw.addVectorToWorkspace("structurenames", progression.getStructureNames()); //$NON-NLS-1$
+			// System.out.println("create list positions");
+			// rw.getConnection().assign("positions",Rpositions);
+
+			this.getChartsEngine().setColors(renderingColorMode, progression.getQueries().size());
+			
+//			if(monochrome) {
+//				rw.addVectorToWorkspace("colors", DefaultTheme.monocolors); //$NON-NLS-1$
+//			}
+//			else {
+//				if(progression.getQueries().size() <= 5) {
+//					// System.out.println("uses colors5");
+//					
+//					
+//					rw.addVectorToWorkspace("colors", this.getChartsEngine().getTheme().getColorPaletteAsHexFor(5));
+//					
+//					
+//					//rw.addVectorToWorkspace("colors", DefaultTheme.colors5); //$NON-NLS-1$
+//				}
+//				else if(progression.getQueries().size() <= 10) {
+//					// System.out.println("uses colors10");
+//					rw.addVectorToWorkspace("colors", DefaultTheme.colors10); //$NON-NLS-1$
+//				}
+//				else {
+//					// System.out.println("uses colors16");
+//					rw.addVectorToWorkspace("colors", DefaultTheme.colors); //$NON-NLS-1$
+//				}
+//			}
+
+			// System.out.println("create styles vector");
+			rw.eval("rm(styles)"); //$NON-NLS-1$
+			if(!progression.isMultipleLineStrokes()) {
+				rw.addVectorToWorkspace("styles", DefaultTheme.monostyles); //$NON-NLS-1$
+			}
+			else {
+				rw.addVectorToWorkspace("styles", DefaultTheme.styles); //$NON-NLS-1$
+			}
+
+			// System.out.println("create styles vector");
+			rw.eval("rm(widths)"); //$NON-NLS-1$
+			rw.addVectorToWorkspace("widths", DefaultTheme.monoWidths); //$NON-NLS-1$
+
+			// System.out.println("create names vector");
+			String[] queriesstring = new String[progression.getQueries().size()];
+			for(int i = 0; i < progression.getQueries().size(); i++) {
+				queriesstring[i] = progression.getQueries().get(i).getQueryString();
+			}
+			rw.eval("rm(names)"); //$NON-NLS-1$
+			rw.addVectorToWorkspace("names", queriesstring); //$NON-NLS-1$
+
+			String name = progression.getCorpus().getName();
+
+			// Create chart title
+			String title = "";
+			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE))	{
+				title = Utils.createProgressionChartTitle(progression, cumulative);
+			}
+
+			// Escape title string
+			title = StringEscapeUtils.escapeJava(title);
+
+			// System.out.println("BANDE="+bande);
+			
+			String cmd = "progression(positions, names, colors, styles, widths, \"" + name + "\"," + progression.getXminCorpus() + "," + progression.getXmaxCorpus() + ",\"" + cumulative + "\",structurepositions,structurenames, \"" + title + "\", " + progression.getBande() + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$
+
+			// FIXME: the grid must be plotted behind the chart and it is not possible with the current R progression object code
+			// Grid
+			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_GRID))	{
+				cmd += this.getChartsEngine().getGridPlotCmd();
+			}
+			
+			this.getChartsEngine().plot(file, cmd);
+
+			RWorkspace.getRWorkspaceInstance().eval(Progression.prefixR + Progression.norep + " <- list(positions=positions, names=names, xmin=" + progression.getXminCorpus() + ",xmax=" + progression.getXmaxCorpus() + ", structpositions=structurepositions, structnames=structurenames)"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			Progression.norep++;
+		}
+		catch(RWorkspaceException e) {
+			// TODO Auto-generated catch block
+			org.txm.utils.logger.Log.printStackTrace(e);
+		}
+
+		return file;
+	}
+	
+	
+	@Override
+	public ArrayList<Integer> getSelectedPointPositions(Object chart) {
+		// FIXME: not implemented
+		Log.severe(this.getClass() + ".getProgressionChartSelectedPointPositions(): Not yet implemented."); //$NON-NLS-1$
+		return new ArrayList<Integer>(0);
+	}
+
+
+
+	@Override
+	public ArrayList<Integer> getSelectedSeries(Object chart) {
+		Log.severe(this.getClass() + ".getProgressionChartSelectedSeries(): Not yet implemented."); //$NON-NLS-1$
+		return new ArrayList<Integer>(0);
+	}
+
+
+	@Override
+	public ArrayList<Integer> getSelectedPointNumbers(Object chart) {
+		Log.severe(this.getClass() + ".getProgressionChartSelectedPointNumber(): Not yet implemented."); //$NON-NLS-1$
+		return new ArrayList<Integer>(0);
+	}
+
+
+	@Override
+	public int getLastSelectedSeries(Object chart) {
+		Log.severe(this.getClass() + ".getProgressionChartLastSelectedSeries(): Not yet implemented."); //$NON-NLS-1$
+		return -1;
+	}
+
+
+	@Override
+	public Class getResultDataClass() {
+		return Progression.class;
+	}
+
+	@Override
+	public ArrayList<ArrayList<Integer>> getAllPointPositionsBySeries(Object chart) {
+		Log.severe(this.getClass() + ".getAllPointPositionsBySeries(): Not yet implemented."); //$NON-NLS-1$
+		return null;
+	}
+
+
+}

Property changes on: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionCumulativeChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionCumulativeChartCreator.java	(revision 641)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionCumulativeChartCreator.java	(revision 642)
@@ -1,197 +1,22 @@
 package org.txm.progression.core.chartsengine.r;
 
 import java.io.File;
-import java.util.ArrayList;
-import java.util.List;
 
-import org.apache.commons.lang.StringEscapeUtils;
-import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
-import org.txm.chartsengine.r.core.RChartCreator;
-import org.txm.chartsengine.r.core.themes.DefaultTheme;
-import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
-import org.txm.progression.core.chartsengine.base.Utils;
-import org.txm.progression.core.functions.Progression;
-import org.txm.progression.core.preferences.ProgressionPreferences;
-import org.txm.statsengine.r.core.RWorkspace;
-import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
-import org.txm.utils.logger.Log;
 
 /**
- * R progression chart creator.
- * @author mdecorde
+ * R progression cumulative chart creator.
+ * 
  * @author sjacquot
  *
  */
-public class RProgressionCumulativeChartCreator extends RChartCreator implements ProgressionChartCreator {
+public class RProgressionCumulativeChartCreator extends RProgressionBaseChartCreator {
 
 
 	@Override
 	public File createChartFile(ChartResult result, File file) {
-
-		try {
-			
-			Progression progression = (Progression) result;
-			
-			// parameters
-			int renderingColorMode = progression.getRenderingColorsMode();
-			
-			boolean cumulative = progression.getBooleanParameterValue(ProgressionPreferences.CHART_CUMULATIVE);
-			
-			RWorkspace rw = RWorkspace.getRWorkspaceInstance();
-			rw.eval("library(textometry)");
-			// System.out.println("create list of positions");
-			
-			
-			List<int[]> allPositions = progression.getAllPositions();
-			String listString = "list("; //$NON-NLS-1$
-			for(int i = 0; i < allPositions.size(); i++) {
-				int[] positions = allPositions.get(i);
-				// System.out.println("add vector "+i);
-				rw.eval("rm(x" + i + ")"); //$NON-NLS-1$ //$NON-NLS-2$
-				rw.addVectorToWorkspace("x" + i, positions); //$NON-NLS-1$
-				listString += "x" + i + ","; //$NON-NLS-1$ //$NON-NLS-2$
-			}
-			listString = listString.substring(0, listString.length() - 1) + ")"; //$NON-NLS-1$
-			// System.out.println("create positions");
-			rw.eval("rm(positions)"); //$NON-NLS-1$
-			rw.eval("positions <- " + listString); //$NON-NLS-1$
-
-			rw.eval("rm(structurepositions)"); //$NON-NLS-1$
-			rw.addVectorToWorkspace("structurepositions", progression.getStructurePositions()); //$NON-NLS-1$
-			rw.eval("rm(structurenames)"); //$NON-NLS-1$
-			// if (structurenames != null) structurenames = new
-			// String[structurepositions.length];
-			for(int i = 0; i < progression.getStructureNames().length; i++) { // Fix empty attribute values
-				if("".equals(progression.getStructureNames()[i]) || progression.getStructureNames()[i] == null) {  //$NON-NLS-1$
-					progression.getStructureNames()[i] = "--"; //$NON-NLS-1$
-				}
-			}
-			rw.addVectorToWorkspace("structurenames", progression.getStructureNames()); //$NON-NLS-1$
-			// System.out.println("create list positions");
-			// rw.getConnection().assign("positions",Rpositions);
-
-			this.getChartsEngine().setColors(renderingColorMode, progression.getQueries().size());
-			
-//			if(monochrome) {
-//				rw.addVectorToWorkspace("colors", DefaultTheme.monocolors); //$NON-NLS-1$
-//			}
-//			else {
-//				if(progression.getQueries().size() <= 5) {
-//					// System.out.println("uses colors5");
-//					
-//					
-//					rw.addVectorToWorkspace("colors", this.getChartsEngine().getTheme().getColorPaletteAsHexFor(5));
-//					
-//					
-//					//rw.addVectorToWorkspace("colors", DefaultTheme.colors5); //$NON-NLS-1$
-//				}
-//				else if(progression.getQueries().size() <= 10) {
-//					// System.out.println("uses colors10");
-//					rw.addVectorToWorkspace("colors", DefaultTheme.colors10); //$NON-NLS-1$
-//				}
-//				else {
-//					// System.out.println("uses colors16");
-//					rw.addVectorToWorkspace("colors", DefaultTheme.colors); //$NON-NLS-1$
-//				}
-//			}
-
-			// System.out.println("create styles vector");
-			rw.eval("rm(styles)"); //$NON-NLS-1$
-			if(progression.isMultipleLineStrokes()) {
-				rw.addVectorToWorkspace("styles", DefaultTheme.monostyles); //$NON-NLS-1$
-			}
-			else {
-				rw.addVectorToWorkspace("styles", DefaultTheme.styles); //$NON-NLS-1$
-			}
-
-			// System.out.println("create styles vector");
-			rw.eval("rm(widths)"); //$NON-NLS-1$
-			rw.addVectorToWorkspace("widths", DefaultTheme.monoWidths); //$NON-NLS-1$
-
-			// System.out.println("create names vector");
-			String[] queriesstring = new String[progression.getQueries().size()];
-			for(int i = 0; i < progression.getQueries().size(); i++) {
-				queriesstring[i] = progression.getQueries().get(i).getQueryString();
-			}
-			rw.eval("rm(names)"); //$NON-NLS-1$
-			rw.addVectorToWorkspace("names", queriesstring); //$NON-NLS-1$
-
-			String name = progression.getCorpus().getName();
-
-			// Create chart title
-			String title = "";
-			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE))	{
-				title = Utils.createProgressionChartTitle(progression, cumulative);
-			}
-
-			// Escape title string
-			title = StringEscapeUtils.escapeJava(title);
-
-			// System.out.println("BANDE="+bande);
-			
-			String cmd = "progression(positions, names, colors, styles, widths, \"" + name + "\"," + progression.getXminCorpus() + "," + progression.getXmaxCorpus() + ",\"" + cumulative + "\",structurepositions,structurenames, \"" + title + "\", " + progression.getBande() + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$
-
-			// FIXME: the grid must be plotted behind the chart and it is not possible with the current R progression object code
-			// Grid
-			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_GRID))	{
-				cmd += this.getChartsEngine().getGridPlotCmd();
-			}
-			
-			this.getChartsEngine().plot(file, cmd);
-
-			RWorkspace.getRWorkspaceInstance().eval(Progression.prefixR + Progression.norep + " <- list(positions=positions, names=names, xmin=" + progression.getXminCorpus() + ",xmax=" + progression.getXmaxCorpus() + ", structpositions=structurepositions, structnames=structurenames)"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-			Progression.norep++;
-		}
-		catch(RWorkspaceException e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		}
-
-		return file;
+		return super.createChartFile(result, file, true);
 	}
 
 
-	@Override
-	public ArrayList<Integer> getSelectedPointPositions(Object chart) {
-		// FIXME: not implemented
-		Log.severe(this.getClass() + ".getProgressionChartSelectedPointPositions(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-
-	@Override
-	public ArrayList<Integer> getSelectedSeries(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartSelectedSeries(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-	@Override
-	public ArrayList<Integer> getSelectedPointNumbers(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartSelectedPointNumber(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<Integer>(0);
-	}
-
-
-	@Override
-	public int getLastSelectedSeries(Object chart) {
-		Log.severe(this.getClass() + ".getProgressionChartLastSelectedSeries(): Not yet implemented."); //$NON-NLS-1$
-		return -1;
-	}
-
-
-	@Override
-	public Class getResultDataClass() {
-		return Progression.class;
-	}
-
-	@Override
-	public ArrayList<ArrayList<Integer>> getAllPointPositionsBySeries(Object chart) {
-		Log.severe(this.getClass() + ".getAllPointPositionsBySeries(): Not yet implemented."); //$NON-NLS-1$
-		return null;
-	}
-
-
 }
Index: tmp/org.txm.partition.core/plugin.xml
===================================================================
--- tmp/org.txm.partition.core/plugin.xml	(revision 641)
+++ tmp/org.txm.partition.core/plugin.xml	(revision 642)
@@ -12,24 +12,24 @@
       <ChartCreator
             chartsEngineName="jfreechart_charts_engine"
             class="org.txm.partition.core.chartsengine.jfreechart.JFCPartitionDimensionsBarChartCreator"
-            fileNamePrefix="info">
+            fileNamePrefix="partition_dimensions_bar">
       </ChartCreator>
       <ChartCreator
             chartType="Partition Dimensions Pie Chart"
             chartsEngineName="jfreechart_charts_engine"
             class="org.txm.partition.core.chartsengine.jfreechart.JFCPartitionDimensionsPieChartCreator"
-            fileNamePrefix="partition_dimensions">
+            fileNamePrefix="partition_dimensions_pie">
       </ChartCreator>
       <ChartCreator
             chartsEngineName="r_charts_engine"
             class="org.txm.partition.core.chartsengine.r.RPartitionDimensionsBarChartCreator"
-            fileNamePrefix="info">
+            fileNamePrefix="partition_dimensions_bar">
       </ChartCreator>
       <ChartCreator
             chartType="Partition Dimensions Pie Chart"
             chartsEngineName="r_charts_engine"
             class="org.txm.partition.core.chartsengine.r.RPartitionDimensionsPieChartCreator"
-            fileNamePrefix="partition_dimensions">
+            fileNamePrefix="partition_dimensions_pie">
       </ChartCreator>
    </extension>
 
